Google uses AI technology to translate content into your preferred language. AI translations can contain errors.
Method: genericclass.addmessage
使用集合让一切井井有条
根据您的偏好保存内容并对其进行分类。
HTTP 请求
POST https://walletobjects.googleapis.com/walletobjects/v1/genericClass/{resourceId}/addMessage
网址采用 gRPC 转码语法。
路径参数
| 参数 |
resourceId |
string
类的唯一标识符。此 ID 在一个发卡机构的所有类中必须是唯一的。此值应遵循“issuer ID”格式。identifier”格式,其中前者由 Google 提供,后者由您自行选择。您的唯一标识符应仅包含字母数字字符、“.”“_”或“-”。
|
请求正文
请求正文包含一个 AddMessageRequest 实例。
响应正文
对向类添加新颁发者消息的响应。此文件包含整个更新后的 GenericClass。
如果成功,响应正文将包含结构如下的数据:
| 字段 |
resource |
object (GenericClass)
更新的 EventTicketClass 资源。
|
授权范围
需要以下 OAuth 范围:
https://www.googleapis.com/auth/wallet_object.issuer
如未另行说明,那么本页面中的内容已根据知识共享署名 4.0 许可获得了许可,并且代码示例已根据 Apache 2.0 许可获得了许可。有关详情,请参阅 Google 开发者网站政策。Java 是 Oracle 和/或其关联公司的注册商标。
最后更新时间 (UTC):2025-07-25。
[null,null,["最后更新时间 (UTC):2025-07-25。"],[],["This document outlines the process for adding a message to a generic class using a `POST` HTTP request to a specific URL. The request requires a unique `resourceId` in the path, formatted as `issuer ID.identifier`. The request body must include an `AddMessageRequest` instance. Successful requests return an updated `GenericClass` in JSON format, contained within a `resource` field. The process necessitates authorization via the `https://www.googleapis.com/auth/wallet_object.issuer` OAuth scope.\n"]]